%global install_loc         %{_datadir}/eclipse/dropins
%global tag 3_8_2
%global incubator_tag 3_8_0
%define __jar_repack 0

Name: eclipse-mylyn
Summary: Eclipse Mylyn main feature
Version: 3.8.2
Release: %mkrel 2
License: EPL
URL: http://www.eclipse.org/mylyn

# bash fetch-eclipse-mylyn.sh
Source0: %{name}-R_%{tag}-fetched-src.tar.bz2
Source1: fetch-eclipse-mylyn.sh

Source2: org.eclipse.core.runtime.compatibility.auth.tar.bz2
Source3: fetch-compatibility.sh
Source4: eclipse-mylyn-compatibility-pom.xml

#TODO: Convert  for mageia
Source6: redhat-bugzilla-custom-transitions.txt

Source7: eclipse-mylyn-R_%{incubator_tag}-incubator-fetched-src.tar.bz2
Source8: fetch-eclipse-mylyn-incubator.sh 

Patch1: %{name}-hudson-feature-remove-unnecessary-imports.patch
Patch2: %{name}-hudson-core-to-java6.patch
Patch3: %{name}-remove-hudson-discovery.patch

Patch4: %{name}-remove-javax-activation.patch
Patch5: %{name}-tasks-remove-javax.patch
Patch6: %{name}-add-apache-xmlrpc.patch

Patch7: %{name}-ensure-sites-build-after-changes.patch
Patch8: %{name}-disable-online-tests.patch

Patch9: %{name}-build-compat.patch
Patch10: %{name}-adjust-lucene-version.patch
Patch11: %{name}-merge-incubator.patch

BuildRequires: java-devel >= 1.7.0
BuildRequires: jpackage-utils >= 1.7.5-18.1
BuildRequires: eclipse-platform >= 1:4.2.0
BuildRequires: eclipse-pde >= 1:4.2.0-0.6
BuildRequires: eclipse-rcp >= 1:4.2.0-0.6
BuildRequires: eclipse-cdt
BuildRequires: eclipse-egit
BuildRequires: eclipse-jgit
BuildRequires: eclipse-subclipse
BuildRequires: tycho >= 0.14.1-5
BuildRequires: eclipse-egit
BuildRequires: jacoco
BuildRequires: lucene
BuildRequires: maven >= 3.0.4-7
BuildRequires: args4j

BuildRequires: axis >= 1.4
BuildRequires: apache-commons-lang >= 2.6-6
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-io >= 2.3
BuildRequires: ws-commons-util >= 1.0.1-21
BuildRequires: xmlrpc-client >= 3.1.3
BuildRequires: xmlrpc-common >= 3.1.3
BuildRequires: ws-jaxme >= 0.5.1-2.4
BuildRequires: jdom >= 1.1.2-3
BuildRequires: rome >= 0.9-9
BuildRequires: httpcomponents-client >= 4.1.3-2
BuildRequires: httpcomponents-core >= 4.1.4
BuildRequires: apache-commons-discovery >= 0.5-2
BuildRequires: jacoco-maven-plugin
BuildRequires: google-gson >= 2.0.0
BuildRequires: javamail >= 1.4.3-11

Requires: eclipse-platform >= 1:4.2.0
Requires: eclipse-rcp >= 1:4.2.0-0.6
Requires: apache-commons-lang >= 2.6-6
Requires: apache-commons-logging
Requires: apache-commons-io >= 2.3
Requires: ws-commons-util >= 1.0.1-21
Requires: xmlrpc-client  >= 3.1.3
Requires: xmlrpc-common  >= 3.1.3
Requires: ws-jaxme >= 0.5.1-2.4
Requires: jpackage-utils
Requires: rome >= 0.9-9
Requires: xml-commons-apis
Requires: httpcomponents-client >= 4.1.3-2
Requires: httpcomponents-core >= 4.1.4
Requires: apache-commons-discovery >= 0.5-2
Requires: jdom >= 1.1.2-3
Requires: javamail >= 1.4.3-11
Requires: lucene

Provides: %{name}-commons = %{version}-%{release}
Obsoletes: %{name}-commons < %{version}-%{release}
Provides: %{name}-context = %{version}-%{release}
Obsoletes: %{name}-context < %{version}-%{release}

Group: Development/Java


%description
Mylyn integrates task support into Eclipse. It supports offline editing
for certain task repositories and monitors work activity to hide
information that is not relevant to the current task.

%package context-java
Summary:  Mylyn Bridge:  Java Development
Requires: eclipse-jdt
Requires: %{name}-context = %{version}-%{release}
Provides: eclipse-mylyn-java = %{version}-%{release}
Obsoletes: eclipse-context-java < %{version}-%{release}
Group: Development/Java

%description context-java
Mylyn Task-Focused UI extensions for JDT.  Provides focusing of Java
element views and editors.

%package context-pde
Summary:  Mylyn Bridge:  Plug-in Development
Requires: eclipse-pde
Requires: %{name}-java = %{version}-%{release}
Provides: eclipse-mylyn-pde = %{version}-%{release}
Obsoletes: eclipse-context-pde < %{version}-%{release}
Group: Development/Java

%description context-pde
Mylyn Task-Focused UI extensions for PDE, Ant, Team Support and CVS.

%package context-cdt
Summary:  Mylyn Bridge:  C/C++ Development
Requires: %{name}-context = %{version}-%{release}
Requires: eclipse-cdt
Group: Development/Java
Provides: eclipse-cdt-mylyn = 2:1.0.0-1.fc12
Provides: eclipse-mylyn-cdt = %{version}-%{release}
Obsoletes: eclipse-context-cdt < %{version}-%{release}
Obsoletes: eclipse-cdt-mylyn < 2:1.0.0

%description context-cdt
Mylyn Task-Focused UI extensions for CDT.  Provides focusing of C/C++
element views and editors.


%package context-team
Summary:  Mylyn Context Connector: Team Support
Requires: %{name}-context = %{version}-%{release}
Group: Development/Java

%description context-team
Mylyn Task-Focused UI extensions for Team version control.

%package ide
Summary: Mylyn Context Connector: Eclipse IDE
Requires: %{name} = %{version}-%{release}
Requires: %{name}-context = %{version}-%{release}
Requires: %{name}-context-team = %{version}-%{release}

%description ide
Mylyn Task-Focused UI extensions for the Eclipse IDE. 
Provides focusing of common IDE views and editors.

%package tasks-bugzilla
Summary: Mylyn Tasks Connector: Bugzilla
Requires: eclipse-platform >= 1:4.2.0
Requires: %{name} = %{version}-%{release}
Provides: eclipse-mylyn-bugzilla = %{version}-%{release}
Group: Development/Java

%description tasks-bugzilla
Provides Task List integration, offline support and rich editing for the
open source Bugzilla bug tracker.


%package docs-wikitext
Summary: Mylyn WikiText
Requires: eclipse-platform >= 1:3.8.0
Requires: %{name} = %{version}-%{release}
Requires: eclipse-mylyn-context = %{version}-%{release}
Requires: jsoup
Provides: eclipse-mylyn-wikitext = %{version}-%{release}
Group: Development/Java

%description docs-wikitext
Enables parsing and display of lightweight markup (wiki text).


%package docs-htmltext
Summary: Mylyn HtmlText
Requires: eclipse-platform >= 1:3.8.0
Group: Development/Java

%description docs-htmltext
Enables editing of HTML text.

%package docs-epub
Summary: Mylyn EPub
Requires: eclipse-platform >= 1:3.8.0
Group: Development/Java

%description docs-epub
The EPUB framework in Mylyn Docs offers API to create, manipulate,
read and write EPUB formatted files. 

%package  tasks-trac
Summary: Mylyn Tasks Connector: Trac
Requires: eclipse-platform >= 1:4.2.0
Requires: eclipse-mylyn = %{version}-%{release}
Requires: eclipse-mylyn-context = %{version}-%{release}
Requires: google-gson
Group: Development/Java
Provides: eclipse-mylyn-trac = %{version}-%{release}

%description tasks-trac
Provides Task List integration, offline support and rich editing
for the open source Trac issue tracker.

%package  tasks-web
Summary: Mylyn Tasks Connector: Web Templates (Advanced) (Incubation)
Requires: eclipse-platform >= 1:4.2.0
Requires: %{name} = %{version}-%{release}
Requires: rome >= 0.9-9
Requires: jdom >= 1.1.2-3
Group: Development/Java
Provides: %{name}-webtasks = %{version}-%{release}

%description tasks-web
Provides Task List integration for web-based issue trackers
and templates for example projects.


%package versions
Summary: Eclipse Mylyn Versions
Requires:      %{name} = %{version}-%{release}
Group: Development/Java

%description versions
Provides a framework for accessing team providers for Eclipse Mylyn.


%package versions-git
Summary: Mylyn Versions Connector: Git
Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-egit >= 0.10.1
Requires: %{name}-versions = %{version}-%{release}
Group: Development/Java

%description versions-git
Provides Git integration for Eclipse Mylyn.

%package versions-cvs
Summary: Mylyn Versions Connector: CVS
Requires: eclipse-platform >= 1:3.8.0
Requires: %{name}-versions = %{version}-%{release}
Group: Development/Java

%description versions-cvs
Provides CVS integration for Eclipse Mylyn.

%package versions-subclipse
Summary: Mylyn Versions Connector: CVS
Requires: eclipse-platform >= 1:3.8.0
Requires: %{name}-versions = %{version}-%{release}
Requires: eclipse-subclipse
Group: Development/Java

%description versions-subclipse
Provides CVS integration for Eclipse Mylyn.

%package builds
Summary: Eclipse Mylyn Builds
Requires: %{name} = %{version}-%{release}
Requires: %{name}-context = %{version}-%{release}
Requires: eclipse-emf
Requires: %{name}-versions = %{version}-%{release}
Requires: xml-commons-apis

%description builds
Provides a common framework to interact with continuous integration
build providers using Eclipse Mylyn.

%package builds-hudson
Summary: Mylyn Builds Connector: Hudson/Jenkins
Requires: java >= 1:1.7.0
Requires: eclipse-platform >= 1:4.2.0-0.6
Requires: %{name} = %{version}-%{release}
Requires: ws-jaxme >= 0.5
Requires: google-gson >= 1.6.0
Requires: %{name}-builds = %{version}-%{release}
Group: Development/Java

%description builds-hudson
Support for the open source Hudson and Jenkins continuous integration servers.

%package sdk
Summary: Mylyn SDK
Requires: %{name} = %{version}-%{release}
Requires: %{name}-context = %{version}-%{release}
Requires: %{name}-context-java = %{version}-%{release}
Requires: %{name}-context-pde = %{version}-%{release}
Requires: %{name}-context-cdt = %{version}-%{release}
Requires: %{name}-context-team = %{version}-%{release}
Requires: %{name}-ide = %{version}-%{release}
Requires: %{name}-tasks-bugzilla = %{version}-%{release}
Requires: %{name}-docs-wikitext = %{version}-%{release}
Requires: %{name}-docs-htmltext = %{version}-%{release}
Requires: %{name}-tasks-trac = %{version}-%{release}
Requires: %{name}-versions = %{version}-%{release}
Requires: %{name}-versions-git = %{version}-%{release}
Requires: %{name}-versions-cvs = %{version}-%{release}
Requires: %{name}-versions-subclipse = %{version}-%{release}
Requires: %{name}-builds = %{version}-%{release}
Requires: %{name}-builds-hudson = %{version}-%{release}
Group: Development/Java

%description sdk
Sources for all Mylyn bundles


%prep
%setup -q -n eclipse-mylyn-R_%{tag}-fetched-src
tar xjf %{SOURCE2} -C org.eclipse.mylyn.commons
cp %{SOURCE4} org.eclipse.mylyn.commons/org.eclipse.core.runtime.compatibility.auth/pom.xml
tar xjf %{SOURCE7} -C org.eclipse.mylyn.tasks --strip-components=1

%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11

#Disable plugins we can live without and for some reason are redundant (unpackaged or causing build failures).
#There must be empty line after each %%pom_* macro invocation.
grep -l -r --include="pom.xml" findbugs-maven-plugin . | ( while read pom_path; do %pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin $pom_path ; done ) ; 

grep -l -r --include="pom.xml" maven-pmd-plugin . | ( while read pom_path; do %pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin $pom_path ; done ) ; 

#Disable modules we can't build yet
%pom_disable_module org.eclipse.mylyn.reviews .

#%pom_disable_module stubs org.eclipse.mylyn.commons . 

%pom_disable_module org.eclipse.mylyn.tests org.eclipse.mylyn .

%pom_disable_module org.eclipse.mylyn.test-feature org.eclipse.mylyn.tasks .

#Disable all tests (except one that was easier to build than patch dependent bundles.
# grep -v org.eclipse.mylyn.doc
grep -l -r --include="pom.xml" "tests" . | ( while read pom_path; do echo `%pom_xpath_remove "*[local-name() = 'module' and contains(text(),'tests') and not(contains(text(),'tests.'))]" $pom_path` ; done ) ;

#Remove all architectures that do not match current build architecture.
%pom_xpath_remove "*[local-name() = 'environment' and 
       (child::*[local-name() = 'os' and not(text() = 'linux')] 
            or child::*[local-name() = 'ws' and not(text() = 'gtk')] 
            or child::*[local-name() = 'arch' and not(text() = '%{_arch}')]) ]" org.eclipse.mylyn/org.eclipse.mylyn-parent/pom.xml

#Prepare dependencies

mkdir -p orbitDeps/plugins
pushd orbitDeps/plugins
ln -s %{_javadir}/javamail/mail.jar
ln -s %{_javadir}/jsoup.jar
ln -s %{_javadir}/jdom.jar
ln -s %{_javadir}/rome*.jar
ln -s %{_javadir}/apache-commons-lang.jar
ln -s %{_javadir}/httpcomponents/httpcore.jar
ln -s %{_javadir}/httpcomponents/httpclient.jar 
ln -s %{_javadir}/apache-commons-io.jar
ln -s %{_javadir}/apache-commons-logging-api.jar
ln -s %{_javadir}/apache-commons-discovery.jar
ln -s %{_javadir}/xmlrpc-client.jar
ln -s %{_javadir}/xmlrpc-common.jar
ln -s %{_javadir}/ws-commons-util.jar
ln -s %{_javadir}/jaxme/jaxmeapi.jar
ln -s %{_javadir}/jaxp.jar
ln -s %{_javadir}/google-gson.jar
ln -s %{_javadir}/axis/axis.jar
ln -s %{_javadir}/axis/jaxrpc.jar
popd

eclipse -debug -consolelog -nosplash -verbose \
-application org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher \
-metadataRepository file:$PWD/.m2/p2/repo-sdk \
-artifactRepository file:$PWD/.m2/p2/repo-sdk \
-source $PWD/orbitDeps \
-compress -append -publishArtifacts


# Kind of hackish. Incubator does not have 3.8.1 build and refers to 3.8.0 parents.
# We need to update them.
sed -i -e '0,/3.8.0/s/3.8.0/3.8.2/' org.eclipse.mylyn.tasks/org.eclipse.mylyn.trac.wiki/pom.xml
sed -i -e '0,/3.8.0/s/3.8.0/3.8.2/' org.eclipse.mylyn.tasks/org.eclipse.mylyn.trac.wiki-feature/pom.xml
sed -i -e '0,/3.8.0/s/3.8.0/3.8.2/' org.eclipse.mylyn.tasks/org.eclipse.mylyn.web.tasks/pom.xml
sed -i -e '0,/3.8.0/s/3.8.0/3.8.2/' org.eclipse.mylyn.tasks/org.eclipse.mylyn.web.tasks-feature/pom.xml

%build
mvn-rpmbuild clean install -Dmaven.test.skip=true  -DskipTychoVersionCheck
#-DforceContextQualifier=v20120612-0600

%install
install -d %{buildroot}%{install_loc}/mylyn
install -d %{buildroot}%{install_loc}/mylyn/eclipse
install -d %{buildroot}%{install_loc}/mylyn/eclipse/plugins
install -d %{buildroot}%{install_loc}/mylyn/eclipse/features

cp  org.eclipse.mylyn/org.eclipse.mylyn-site/target/site/plugins/*.jar %{buildroot}%{install_loc}/mylyn/eclipse/plugins/

pushd %{buildroot}%{install_loc}/mylyn/eclipse/plugins/
rm com.google.gson_*.jar
rm com.sun.syndication_*.jar
rm javax.mail_*.jar
rm javax.wsdl_*.jar
rm javax.xml.bind_*.jar
rm javax.xml.rpc_*.jar
rm javax.xml.soap_*.jar
rm org.apache.axis_*.jar
rm org.apache.commons.codec_*.jar
rm org.apache.commons.discovery_*.jar
rm org.apache.commons.httpclient_*.jar
rm org.apache.commons.io_*.jar
rm org.apache.commons.lang_*.jar
rm org.apache.commons.logging_*.jar
rm org.apache.httpcomponents.httpclient_*.jar
rm org.apache.httpcomponents.httpcore_*.jar
rm org.apache.lucene.core_*.jar
rm org.apache.ws.commons.util_*.jar
rm org.apache.xmlrpc_*.jar
rm org.jdom_*.jar
rm org.jsoup_*.jar
ln -s %{_javadir}/jsoup.jar
ln -s %{_javadir}/jdom.jar
ln -s %{_javadir}/rome*.jar
ln -s %{_javadir}/apache-commons-lang.jar
ln -s %{_javadir}/httpcomponents/httpcore.jar
ln -s %{_javadir}/httpcomponents/httpclient.jar 
ln -s %{_javadir}/apache-commons-io.jar
ln -s %{_javadir}/apache-commons-logging-api.jar
ln -s %{_javadir}/apache-commons-discovery.jar
ln -s %{_javadir}/xmlrpc-client.jar
ln -s %{_javadir}/xmlrpc-common.jar
ln -s %{_javadir}/ws-commons-util.jar
ln -s %{_javadir}/jaxme/jaxmeapi.jar
ln -s %{_javadir}/jaxp.jar
ln -s %{_javadir}/google-gson.jar
ln -s %{_javadir}/axis/axis.jar
ln -s %{_javadir}/axis/jaxrpc.jar
ln -s %{_javadir}/axis/saaj.jar
ln -s %{_javadir}/javamail/mail.jar
popd

mkdir -p %{buildroot}%{install_loc}/mylyn/eclipse/features
for f in `ls -1 org.eclipse.mylyn/org.eclipse.mylyn-site/target/site/features/ | grep jar$`; do
    unzip org.eclipse.mylyn/org.eclipse.mylyn-site/target/site/features/$f -d %{buildroot}%{install_loc}/mylyn/eclipse/features/${f/.jar//};
done

install %{SOURCE6} %{buildroot}%{install_loc}/mylyn/eclipse/redhat-bugzilla-custom-transitions.txt

%files
%dir %{install_loc}/mylyn
%dir %{install_loc}/mylyn/eclipse
%dir %{install_loc}/mylyn/eclipse/features/
%dir %{install_loc}/mylyn/eclipse/plugins/
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn_feature_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.tasks.ide_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.index.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.index.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.search_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.bugs_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.help.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.oslc.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.oslc.ui_*.jar
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.activity_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.compatibility_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.identity_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.notifications_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.repositories_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.repositories.http_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.discovery_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.monitor_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.activity.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.identity.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.identity.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.notifications_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.notifications.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.notifications.feed_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.notifications.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.repositories.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.repositories.http.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.repositories.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.repositories_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.screenshots_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.team_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.workbench_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.discovery.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.discovery.ui*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.monitor.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.monitor.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.sdk.util_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.soap_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.xmlrpc_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.commons.net_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.core.runtime.compatibility.auth_*.jar
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.context_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.context.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.context.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.resources.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.context.tasks.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/apache-commons-lang.jar
%{install_loc}/mylyn/eclipse/plugins/apache-commons-logging-api.jar
%{install_loc}/mylyn/eclipse/plugins/apache-commons-io.jar
%{install_loc}/mylyn/eclipse/plugins/jdom.jar
%{install_loc}/mylyn/eclipse/plugins/rome*.jar
%{install_loc}/mylyn/eclipse/plugins/xmlrpc-client.jar
%{install_loc}/mylyn/eclipse/plugins/xmlrpc-common.jar
%{install_loc}/mylyn/eclipse/plugins/httpcore.jar
%{install_loc}/mylyn/eclipse/plugins/httpclient.jar
%{install_loc}/mylyn/eclipse/plugins/apache-commons-discovery.jar
%{install_loc}/mylyn/eclipse/plugins/ws-commons-util.jar
%{install_loc}/mylyn/eclipse/plugins/jaxmeapi.jar
%{install_loc}/mylyn/eclipse/plugins/jaxp.jar
%{install_loc}/mylyn/eclipse/plugins/google-gson.jar
%{install_loc}/mylyn/eclipse/plugins/axis.jar
%{install_loc}/mylyn/eclipse/plugins/jaxrpc.jar
%{install_loc}/mylyn/eclipse/plugins/saaj.jar
%{install_loc}/mylyn/eclipse/plugins/mail.jar
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn-feature/license.html

%files context-java
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.java_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.java.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.java.tasks_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.ide.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.ide.ant_*.jar
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.java-feature/epl-v10.html
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.java-feature/license.html

%files context-pde
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.pde_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.pde.ui_*.jar
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.pde-feature/epl-v10.html
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.pde-feature/license.html

%files context-cdt
%{install_loc}/mylyn/eclipse/features/org.eclipse.cdt.mylyn_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.cdt.mylyn.ui_*.jar
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.cdt-feature/epl-v10.html
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.cdt-feature/license.html

%files context-team
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.team_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.team.ui_*.jar
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.team-feature/epl-v10.html
%doc org.eclipse.mylyn.context/org.eclipse.mylyn.team-feature/license.html

%files ide
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.ide_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.team.cvs_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.bugzilla.ide_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.ide.ui_*.jar
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.tasks.ide-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.tasks.ide-feature/license.html

%files tasks-bugzilla
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.bugzilla_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.bugzilla.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.bugzilla.ui_*.jar
%{install_loc}/mylyn/eclipse/redhat-bugzilla-custom-transitions.txt
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.bugzilla-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.bugzilla-feature/license.html

%files tasks-trac
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.trac_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.trac.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.trac.ui_*.jar
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.trac.wiki_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.trac.wiki_*.jar
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.trac-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.trac-feature/license.html

%files tasks-web
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.web.tasks_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.web.tasks_*.jar
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.web.tasks-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn.web.tasks-feature/license.html

%files docs-wikitext
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.wikitext_feature_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.textile.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.mediawiki.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.confluence.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.tracwiki.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.twiki.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.help.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.textile.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.mediawiki.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.confluence.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.tracwiki.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.twiki.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.tasks.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/jsoup.jar
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.wikitext-feature/epl-v10.html
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.wikitext-feature/license.html

%files docs-htmltext
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.htmltext_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.htmltext.ui_*.jar
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.htmltext-feature/epl-v10.html
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.htmltext-feature/license.html

%files docs-epub
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.docs.epub_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.docs.epub.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.docs.epub.help_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.docs.epub.ui_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.docs.epub.ant.core_*.jar
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.docs.epub-feature/epl-v10.html
%doc org.eclipse.mylyn.docs/org.eclipse.mylyn.docs.epub-feature/license.html

%files versions
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.versions_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.versions.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.versions.ui_*.jar
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.versions-feature/epl-v10.html
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.versions-feature/license.html

%files versions-git
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.git_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.git.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.git.ui_*.jar
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.git-feature/epl-v10.html
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.git-feature/license.html

%files versions-cvs
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.cvs_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.cvs.core_*.jar
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.cvs-feature/epl-v10.html
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.cvs-feature/license.html

%files versions-subclipse
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.subclipse_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.subclipse.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.subclipse.ui_*.jar
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.subclipse-feature/epl-v10.html
%doc org.eclipse.mylyn.versions/org.eclipse.mylyn.subclipse-feature/license.html

%files builds
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.builds_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.builds.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.builds.ui_*.jar
%doc org.eclipse.mylyn.builds/org.eclipse.mylyn.builds-feature/epl-v10.html
%doc org.eclipse.mylyn.builds/org.eclipse.mylyn.builds-feature/license.html

%files builds-hudson
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.hudson_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.hudson.core_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.hudson.ui_*.jar
%doc org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson-feature/epl-v10.html
%doc org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson-feature/license.html

%files sdk
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.builds.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.context.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.commons.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.docs.epub.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.docs.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.sdk_feature_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.versions.sdk_*
%{install_loc}/mylyn/eclipse/features/org.eclipse.mylyn.wikitext.sdk_*
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.context.sdk.java_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.context.sdk.util_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.wikitext.help.sdk_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.tests.util_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.mylyn.*.source_*.jar
%{install_loc}/mylyn/eclipse/plugins/org.eclipse.cdt.mylyn.ui.source_*.jar
%doc org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/epl-v10.html
%doc org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/license.html



%changelog

* Sat Jan 19 2013 dmorgan <dmorgan> 3.8.2-2.mga3
+ Revision: 389833
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - fix qualifier
    - update to 3.6.3

* Mon Nov 07 2011 gil <gil> 3.6.0-1.mga2
+ Revision: 164832
- imported package eclipse-mylyn

